summaryrefslogtreecommitdiffstats
path: root/office/osmo
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-12 17:44:50 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:44:50 +0200
commit4848a71f949b1843ee22bd794172e0e67adec738 (patch)
tree5b0202d6abd13a3701758473de29b8404a1111c4 /office/osmo
parenta56b3b25d35e9baccdf3fda7537687941caaec10 (diff)
downloadslackbuilds-4848a71f949b1843ee22bd794172e0e67adec738.tar.gz
slackbuilds-4848a71f949b1843ee22bd794172e0e67adec738.tar.xz
office/osmo: Updated for version 0.2.6
Diffstat (limited to 'office/osmo')
-rw-r--r--office/osmo/README11
-rw-r--r--office/osmo/doinst.sh10
-rw-r--r--office/osmo/osmo.SlackBuild28
-rw-r--r--office/osmo/osmo.info8
-rw-r--r--office/osmo/patch-libgringotts-2.diff14
-rw-r--r--office/osmo/slack-desc16
6 files changed, 54 insertions, 33 deletions
diff --git a/office/osmo/README b/office/osmo/README
index 7ae4565e38..1d4608b05a 100644
--- a/office/osmo/README
+++ b/office/osmo/README
@@ -1,6 +1,7 @@
-Osmo is a handy personal organizer which includes calendar,
-tasks manager and address book modules. It was designed to
-be a small, easy to use and good looking PIM tool to help
-to manage personal information.
+Osmo is a handy personal organizer which includes calendar, tasks
+manager and address book modules. It was designed to be a small,
+easy to use and good looking PIM tool to help to manage personal
+information.
-libnotify (also available at SBo) is required to build Osmo.
+libnotify, libical, libsyncml (available at SBo), and libgringotts
+(not available at SBo) are optional build time dependencies.
diff --git a/office/osmo/doinst.sh b/office/osmo/doinst.sh
index 140e332222..5525db8a53 100644
--- a/office/osmo/doinst.sh
+++ b/office/osmo/doinst.sh
@@ -1,3 +1,9 @@
-if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
fi
diff --git a/office/osmo/osmo.SlackBuild b/office/osmo/osmo.SlackBuild
index 4c69ebc146..441c63b272 100644
--- a/office/osmo/osmo.SlackBuild
+++ b/office/osmo/osmo.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Osmo
-# Copyright 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Copyright 2008, 2009 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=osmo
-VERSION=0.2.2
+VERSION=${VERSION:-0.2.6}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -33,8 +33,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS ChangeLog COPYING README TRANSLATORS"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -47,9 +45,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -57,17 +54,20 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Apply patch-libgringotts-2.diff patch found at
+# http://sourceforge.net/mailarchive/forum.php?thread_name=49B43951.50203%40waitrose.com&forum_name=osmo-pim-friends
+# In order for Osmo 0.2.6 to compile, this patch needs to be applied regardless of building with or without libgringotts.
+( cd src
+ patch -p0 < $CWD/patch-libgringotts-2.diff || exit 1
+)
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --program-prefix="" \
- --program-suffix="" \
- --enable-debug=no \
- --without-libical \
- --without-gringotts \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
@@ -79,13 +79,13 @@ make install-strip DESTDIR=$PKG || exit 1
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING README* TRANSLATORS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/osmo/osmo.info b/office/osmo/osmo.info
index a5d10d49ee..0876bcadb8 100644
--- a/office/osmo/osmo.info
+++ b/office/osmo/osmo.info
@@ -1,8 +1,8 @@
PRGNAM="osmo"
-VERSION="0.2.2"
+VERSION="0.2.6"
HOMEPAGE="http://clay.ll.pl/osmo"
-DOWNLOAD="http://downloads.sourceforge.net/osmo-pim/osmo-0.2.2.tar.gz"
-MD5SUM="d790c2040fda541765a7db2a6827673c"
+DOWNLOAD="http://downloads.sourceforge.net/osmo-pim/osmo-0.2.6.tar.gz"
+MD5SUM="0253bde2583c4299b1afcf2e29b134aa"
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero"
diff --git a/office/osmo/patch-libgringotts-2.diff b/office/osmo/patch-libgringotts-2.diff
new file mode 100644
index 0000000000..a9a4c79462
--- /dev/null
+++ b/office/osmo/patch-libgringotts-2.diff
@@ -0,0 +1,14 @@
+
+Index: notes_items.c
+===================================================================
+--- notes_items.c (revision 692)
++++ notes_items.c (working copy)
+@@ -1038,7 +1037,7 @@ gchar *current_filename;
+ if (check_if_encrypted (current_filename, appGUI) == TRUE) {
+
+ g_snprintf (tmpbuf, BUFFER_SIZE, "%s\n\n(%s)", _("Cannot open the note."), _("encryption support is disabled"));
+- gui_create_dialog (GTK_MESSAGE_ERROR, tmpbuf, GTK_WINDOW(appGUI->main_window));
++ utl_gui_create_dialog (GTK_MESSAGE_ERROR, tmpbuf, GTK_WINDOW(appGUI->main_window));
+ g_free (current_filename);
+ return;
+
diff --git a/office/osmo/slack-desc b/office/osmo/slack-desc
index ad7acaf79b..5f0fc18b18 100644
--- a/office/osmo/slack-desc
+++ b/office/osmo/slack-desc
@@ -1,17 +1,17 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
osmo: Osmo (Handy Personal Organizer)
osmo:
-osmo: Osmo is a handy personal organizer which includes calendar,
-osmo: tasks manager and address book modules. It was designed to
-osmo: be a small, easy to use and good looking PIM tool to help
-osmo: to manage personal information.
+osmo: Osmo is a handy personal organizer which includes calendar, tasks
+osmo: manager and address book modules. It was designed to be a small,
+osmo: easy to use and good looking PIM tool to help to manage personal
+osmo: information.
osmo:
osmo: Homepage: http://clay.ll.pl/osmo
osmo: